Bug 1440773 - golang-github-cheggaaa-pb is outdated and needs to be updated to latest upstream
Summary: golang-github-cheggaaa-pb is outdated and needs to be updated to latest upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-cheggaaa-pb
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1429455
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 12:59 UTC by Simon Fels
Modified: 2017-09-11 12:34 UTC (History)
2 users (show)

Fixed In Version: golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc25 golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-11 02:23:57 UTC


Attachments (Terms of Use)

Description Simon Fels 2017-04-10 12:59:46 UTC
Description of problem:

The golang-github-cheggaaa-pb is currently based on github changes from 2015 but the code has evolved a lot since then. Latest released version is 1.0.12 from 8. April 2017.

Version-Release number of selected component (if applicable):
0-0.4.gitda1f27a.fc26

How reproducible: n/a

Steps to Reproduce: n/a

Actual results: n/a

Expected results: n/a

Additional info:

Latest commit on https://github.com/cheggaaa/pb is

 branch master: 9a180eb4617eb2112e01ca3fa25c61a6303afcaf

Comment 1 Neal Gompa 2017-04-10 13:03:21 UTC
The old revision of this package is an issue for snapd, as it seems that the older code is causing some kind of formatting errors for progress bars.

Comment 2 Jan Kurik 2017-08-15 07:28:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Neal Gompa 2017-08-25 11:44:55 UTC
What's holding up updating this package? Updating it will fix some issues with how stuff is rendered by snapd.

Comment 4 Fedora Update System 2017-08-31 07:42:34 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7ff750fb1

Comment 5 Fedora Update System 2017-08-31 07:42:43 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9a96f99c41

Comment 6 Fedora Update System 2017-08-31 07:42:52 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2aa3d2daca

Comment 7 Fedora Update System 2017-09-01 03:47:38 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b543523519

Comment 8 Fedora Update System 2017-09-01 03:52:07 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9a96f99c41

Comment 9 Fedora Update System 2017-09-01 11:57:31 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d7ff750fb1

Comment 10 Fedora Update System 2017-09-03 06:24:01 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2aa3d2daca

Comment 11 Fedora Update System 2017-09-11 02:23:57 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-11 04:20:09 UTC
golang-github-cheggaaa-pb-1.0.12-0.1.git9a180eb.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.